Package ghidra.program.model.lang

# Interface ProcessorContextView

All Known Subinterfaces:
  `DisassemblerContext`, `DisassemblerContextAdapter`, `Instruction`, `InstructionAdapterFromPrototype`, `ProcessorContext`, `TraceInstruction`

All Known Implementing Classes:
  `AssemblyDefaultContext`, `DBTraceInstruction`, `DisassemblerContextImpl`, `EmulateDisassemblerContext`, `InstructionDB`, `InstructionStub`, `JitPassage.DecodeErrorInstruction`, `ProcessorContextImpl`, `ProgramProcessorContext`, `PseudoDisassemblerContext`, `PseudoInstruction`, `ReadOnlyProcessorContext`, `ReDisassembler.ReDisassemblerContext`, `VarnodeContext`

public interface ProcessorContextView
Defines the interface for an object containing the state of all processor registers relative to a specific address.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `dumpContextValue(RegisterValue value, String indent)`
  `static void`
  `dumpContextValue(RegisterValue value, String indent, StringBuilder buf)`
  `Register`
  `getBaseContextRegister()`
  `Register`
  `getRegister(String name)`
  Get a Register given the name of a register
  `List<Register>`
  `getRegisters()`
  Returns all the Registers for the processor as an unmodifiable list
  `RegisterValue`
  `getRegisterValue(Register register)`
  Get the RegisterValue for the given register.
  `BigInteger`
  `getValue(Register register, boolean signed)`
  Get the contents of a processor register as a BigInteger object
  `boolean`
  `hasValue(Register register)`
  Returns true if a value is defined for the given register.

- ## Method Details

  - ### getBaseContextRegister

    Register getBaseContextRegister()
    Returns:
      the base processor context register or null if one has not been defined

  - ### getRegisters

    List<Register> getRegisters()
    Returns all the Registers for the processor as an unmodifiable list
    Returns:
      all the Registers for the processor

  - ### getRegister

    Register getRegister(String name)
    Get a Register given the name of a register
    Parameters:
      `name` - the name of the register.
    Returns:
      The register with the given name.

  - ### getValue

    BigInteger getValue(Register register, boolean signed)
    Get the contents of a processor register as a BigInteger object
    Parameters:
      `register` - register to get the value for
    Returns:
      a BigInteger object containing the value of the register if a value exists, otherwise null.

  - ### getRegisterValue

    RegisterValue getRegisterValue(Register register)
    Get the RegisterValue for the given register.
    Parameters:
      `register` - register to get the value for
    Returns:
      RegisterValue object containing the value of the register if a value exists, otherwise null.

  - ### hasValue

    boolean hasValue(Register register)
    Returns true if a value is defined for the given register.
    Parameters:
      `register` - the register to check for a value.
    Returns:
      true if the given register has a value.

  - ### dumpContextValue

    static String dumpContextValue(RegisterValue value, String indent)

  - ### dumpContextValue

    static void dumpContextValue(RegisterValue value, String indent, StringBuilder buf)